program sofo (input,output);


   uses
   dos,unit_sup,unit_utl;

   var prog_seg:word;
       dir_sofo:_path;
       code__error,errorcode:word;
       sofo_str,envname:string;
begin
     writeln;
     writeln('prog_seg',prog_seg);
     readln(prog_seg);
     writeln;
     writeln('__cflagutl...............');
     writeln;
     writeln('env_name is');
     readln(envname);
     writeln('__getenutl is...........',__getenutl(envname));
     writeln;
     writeln;
     __retidutl(prog_seg);
     writeln('progseg is.............',prog_seg);
     {*************************************************}
     {*************************************************}
     writeln;
     writeln;
     writeln('.......................',prog_seg);
     dir_sofo:='c:\tp\work.exe';
     sofo_str:= __idstrutl(prog_seg,dir_sofo,errorcode);
     writeln('sofo_str...............',sofo_str);
     {*************************************************}
     {*************************************************}
     end.

